Bug 1419034 - Review Request: perl-Sub-Infix - Create a fake infix operator
Summary: Review Request: perl-Sub-Infix - Create a fake infix operator
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 13:32 UTC by Ralf Corsepius
Modified: 2017-06-13 12:22 UTC (History)
3 users (show)

Fixed In Version: perl-Sub-Infix-0.004-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-13 12:22:14 UTC
Type: ---
ppisar: fedora-review+


Attachments (Terms of Use)

Description Ralf Corsepius 2017-02-03 13:32:01 UTC
Spec URL: https://corsepiu.fedorapeople.org/packages/perl-Sub-Infix.spec
SRPM URL: https://corsepiu.fedorapeople.org/packages/perl-Sub-Infix-0.004-1.fc26.src.rpm
Description: 
Sub::Infix creates fake infix operators using overloading. It doesn't use
source filters, or Devel::Declare, or any of that magic.

Fedora Account System Username: corsepiu

Comment 1 Petr Pisar 2017-02-09 16:33:22 UTC
URL and Source0 addresses are Ok.
Source archive (SHA-256: 5caeaada66ab4afdfdae56c023e099880543a9a7c1f931f20a834d5881c15ecb) is original. Ok.
Summary verified from lib/Sub/Infix.pm. Ok.
Description verified from lib/Sub/Infix.pm. Ok.
License verified from lib/Sub/Infix.pm, t/01basic.t, README, LICENSE, COPYRIGHT, CONTRIBUTING. Ok.
No XS code, noarch BuildArch is Ok.

TODO: Package CREDITS file as a documentation.
FIX: Build-require `make' (perl-Sub-Infix.spec:39).
TODO: Constrain `perl(ExtUtils::MakeMaker)' dependency with `>= 6.17' (Makefile.PL:2).

Scalar::Util and B modules are optional. Ok.
All tests pass. Ok.

$ rpmlint perl-Sub-Infix.spec ../SRPMS/perl-Sub-Infix-0.004-1.fc26.src.rpm ../RPMS/noarch/perl-Sub-Infix-0.004-1.fc26.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Sub-Infix-0.004-1.fc26.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Feb  9 17:27 /usr/share/doc/perl-Sub-Infix
-rw-r--r--    1 root    root                      455 Jul  2  2014 /usr/share/doc/perl-Sub-Infix/Changes
-rw-r--r--    1 root    root                     2312 Jul  2  2014 /usr/share/doc/perl-Sub-Infix/README
drwxr-xr-x    2 root    root                        0 Feb  9 17:27 /usr/share/licenses/perl-Sub-Infix
-rw-r--r--    1 root    root                     1184 Jul  2  2014 /usr/share/licenses/perl-Sub-Infix/COPYRIGHT
-rw-r--r--    1 root    root                    18349 Jul  2  2014 /usr/share/licenses/perl-Sub-Infix/LICENSE
-rw-r--r--    1 root    root                     2301 Feb  9 17:27 /usr/share/man/man3/Sub::Infix.3pm.gz
drwxr-xr-x    2 root    root                        0 Feb  9 17:27 /usr/share/perl5/vendor_perl/Sub
-rw-r--r--    1 root    root                     4330 Jul  2  2014 /usr/share/perl5/vendor_perl/Sub/Infix.pm
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Sub-Infix-0.004-1.fc26.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.24.1)
      1 perl(:VERSION) >= 5.6.0
      1 perl(Carp)
      1 perl(Exporter)
      1 perl(overload)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

TODO: Suggests dependency on `perl(Scalar::Util)' (lib/Sub/Infix.pm:28).

$ rpm -q --provides -p ../RPMS/noarch/perl-Sub-Infix-0.004-1.fc26.noarch.rpm | sort -f | uniq -c
      1 perl(Sub::Infix) = 0.004
      1 perl(Sub::Infix::PartialApplication)
      1 perl-Sub-Infix = 0.004-1.fc26
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Sub-Infix-0.004-1.fc26.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F26 (https://koji.fedoraproject.org/koji/taskinfo?taskID=17693101). Ok.

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please correct the `FIX' item and consider fixing the `TODO' items before building this package.
Resolution: Package APPROVED.

Comment 2 Gwyn Ciesla 2017-02-10 13:19:07 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Sub-Infix


Note You need to log in before you can comment on or make changes to this bug.